Bug 1830232 - [Fedora 31/32] brp-python-bytecompile will break with Python 3.10 (fixed on rawhide only)
Summary: [Fedora 31/32] brp-python-bytecompile will break with Python 3.10 (fixed on r...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: redhat-rpm-config
Version: 32
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3.10
TreeView+ depends on / blocked
 
Reported: 2020-05-01 08:49 UTC by Miro Hrončok
Modified: 2020-10-31 02:01 UTC (History)
10 users (show)

Fixed In Version: redhat-rpm-config-150-2.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-31 02:01:35 UTC
Type: Bug


Attachments (Terms of Use)

Description Miro Hrončok 2020-05-01 08:49:31 UTC
There is this code in brp-python-bytecompile:

  grep -E "/usr/lib(64)?/python[0-9]\.[0-9]+$"`;

That will break with Python 3.10. Possibly other places in the code will break as well.

Comment 1 Florian Festi 2020-05-01 09:34:55 UTC
echo /usr/lib/python3.10 | grep -E "/usr/lib(64)?/python[0-9]\.[0-9]+$"
/usr/lib/python3.10

Can you elaborate a bit more?

Comment 2 Miro Hrončok 2020-05-01 22:46:04 UTC
Oh my. I found that problem on Fedora 32, went to report it, copied the fixed regex form master here and haven't checked. This has been actually fixed in https://src.fedoraproject.org/rpms/redhat-rpm-config/c/9ce99265fd0947564ca48e1d4e1cfed2f40711c3

Technically, thou, we might need to backport this to Fedora 32, because with the current peace, we will have Python 3.10 available before Fedora 32 goes EOL.

Backporting to Fedora 31 might or might not be needed. We have introduced Python 3.9 package to Fedora in November 2019, hence I suppose we'll have 3.10 in November 2020. That is more or less on Fedora 31 EOL date.

Comment 3 Fedora Update System 2020-10-23 11:14:15 UTC
FEDORA-2020-57a942c3c0 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-57a942c3c0

Comment 4 Fedora Update System 2020-10-23 23:51:17 UTC
FEDORA-2020-57a942c3c0 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-57a942c3c0`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-57a942c3c0

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2020-10-31 02:01:35 UTC
FEDORA-2020-57a942c3c0 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.